Get Account Stats
POST
Retrieves statistics for a specific address. Account activity can be analyzed through transaction data, transfer events, assets, and other information for the account.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.networkstringrequired
Parameter specifying the network of the target chain.Request Body
addressstringrequired
Parameter specifying the address to query. Can be entered as a 40-character hexadecimal string starting with 0x.Responses
An object containing transaction count information associated with the queried address.
externalnumberrequired
The number of external transactions where the queried address is included in the from or to field.internalnumberrequired
The number of internal transactions where the queried address is included in the from or to field.An object containing transfer event count information associated with the queried address.
tokensnumberrequired
The number of ERC20 token transfer events where the queried address is included in the from or to field.nftsnumberrequired
The number of NFT (ERC721, ERC1155) transfer events where the queried address is included in the from or to field.An object containing asset information owned by the queried address.
tokensnumberrequired
The number of ERC20 token types held by the queried address.nftsnumberrequired
The number of NFTs (ERC721, ERC1155) held by the queried address.nftContractsnumberrequired
The number of NFT contract types (ERC721, ERC1155) owned by the queried address.codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "MISSING_REQUIRED_PARAMETER","message": "Missing required parameter: { PARAMETER_NAME }"}
cURL
curl -X POST 'https://web3.nodit.io/v1/avalanche/mainnet/stats/getAccountStats' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"}'